[PC-BSD Commits] r2901 - in pcbsd: branches/7.0/system-overlay/usr/share/skel/.kde4/Autostart trunk/system-overlay/usr/share/skel/.kde4/Autostart
svn at pcbsd.org
svn at pcbsd.org
Tue Oct 14 07:57:20 PDT 2008
Author: kris
Date: 2008-10-14 07:57:19 -0700 (Tue, 14 Oct 2008)
New Revision: 2901
Modified:
pcbsd/branches/7.0/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh
pcbsd/trunk/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh
Log:
Updated the script which notifies users about sound errors to not do so if osscore is loaded.
Modified: pcbsd/branches/7.0/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh
===================================================================
--- pcbsd/branches/7.0/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh 2008-10-13 07:39:30 UTC (rev 2900)
+++ pcbsd/branches/7.0/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh 2008-10-14 14:57:19 UTC (rev 2901)
@@ -9,9 +9,13 @@
# Remove our trigger flag
rm /tmp/unknownSound
+ # Make sure we aren't using osscore
+ kldstat | grep osscore >/dev/null 2>/dev/null
+ OSSCORE="$?"
+
# Check if the user wants to ignore this warning
IGNORE="`pbreg get /PC-BSD/SoundErrorDisable`"
- if [ "${IGNORE}" != "Y" ]
+ if [ "${IGNORE}" != "Y" -a "${OSSCORE}" != "0" ]
then
# Start the SoundError program to warn the user of missing sound module
/PCBSD/bin/SoundError
Modified: pcbsd/trunk/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh
===================================================================
--- pcbsd/trunk/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh 2008-10-13 07:39:30 UTC (rev 2900)
+++ pcbsd/trunk/system-overlay/usr/share/skel/.kde4/Autostart/checksounderror.sh 2008-10-14 14:57:19 UTC (rev 2901)
@@ -9,9 +9,13 @@
# Remove our trigger flag
rm /tmp/unknownSound
+ # Make sure we aren't using osscore
+ kldstat | grep osscore >/dev/null 2>/dev/null
+ OSSCORE="$?"
+
# Check if the user wants to ignore this warning
IGNORE="`pbreg get /PC-BSD/SoundErrorDisable`"
- if [ "${IGNORE}" != "Y" ]
+ if [ "${IGNORE}" != "Y" -a "${OSSCORE}" != "0" ]
then
# Start the SoundError program to warn the user of missing sound module
/PCBSD/bin/SoundError
More information about the Commits
mailing list